【活用ガイド】

JVNDB-2020-007119

APNSwift におけるヒープベースのバッファオーバーフローの脆弱性

概要

APNSwift には、ヒープベースのバッファオーバーフローの脆弱性が存在します。
CVSS による深刻度 (CVSS とは?)

CVSS v3 による深刻度
基本値: 9.8 (緊急) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃に必要な特権レベル: 不要
  • 利用者の関与: 不要
  • 影響の想定範囲: 変更なし
  • 機密性への影響(C): 高
  • 完全性への影響(I): 高
  • 可用性への影響(A): 高
CVSS v2 による深刻度
基本値: 7.5 (危険) [NVD値]
  • 攻撃元区分: ネットワーク
  • 攻撃条件の複雑さ: 低
  • 攻撃前の認証要否: 不要
  • 機密性への影響(C): 部分的
  • 完全性への影響(I): 部分的
  • 可用性への影響(A): 部分的
影響を受けるシステム


APNSwift project
  • APNSwift 1.0.0

想定される影響

情報を取得される、情報を改ざんされる、およびサービス運用妨害 (DoS) 状態にされる可能性があります。
対策

ベンダより正式な対策が公開されています。ベンダ情報を参照して適切な対策を実施してください。
ベンダ情報

APNSwift project
CWEによる脆弱性タイプ一覧  CWEとは?

  1. ヒープベースのバッファオーバーフロー(CWE-122) [その他]
共通脆弱性識別子(CVE)  CVEとは?

  1. CVE-2020-4068
参考情報

  1. National Vulnerability Database (NVD) : CVE-2020-4068
更新履歴

  • [2020年07月31日]
      掲載